Re: Grizzly HTTP/2 and SPDY/3.1

classic Classic list List threaded Threaded
4 messages Options
Reply | Threaded
Open this post in threaded view
|

Re: Grizzly HTTP/2 and SPDY/3.1

ondrej.mihalyi
Hi Ryan,

Can you give us an update on this? Since which version HTTP/2 is
supportedby Grizzly? (even in beta) I cannot find any release notes.

Thanks,
Ondrej Mihályi
Reply | Threaded
Open this post in threaded view
|

Re: Grizzly HTTP/2 and SPDY/3.1

Ryan Lubke-2
Ondrej,

Please give 2.3.28 a shot. 

You can see the list of remaining issues that need to be implemented here [1].

Add the support to your network listener using the Htt2AddOn.

You'll need to use GRIZZLY-NPN 1.3 with
JDK 1.8.0_92 or a later version of 1.8.
 

[1] https://java.net/jira/browse/GRIZZLY-1542


January 7, 2017 at 16:25
Hi Ryan,

Can you give us an update on this? Since which version HTTP/2 is
supportedby Grizzly? (even in beta) I cannot find any release notes.

Thanks,
Ondrej Mihályi
October 7, 2016 at 11:31
Hey Folks,

We're very close to having a functional HTTP/2 implementation.  I think the next 2.3 release of Grizzly can consider it beta.  Hopefully some of you out there are willing to kick the tires! 

This does bring to mind SPDY's continued place within the project.  I'd like to remove support for it, however, if it's actively being used, then I'd hate to pull the plug too soon.  If anyone is using Grizzly+SPDY, please follow up and let us know.

Thanks,
-rl

Reply | Threaded
Open this post in threaded view
|

Re: Grizzly HTTP/2 and SPDY/3.1

ondrej.mihalyi
Thank you, Ryan.

I saw the issue to use ALPN in JDK9 is still open. Is HTTP/2 working now with JDK8 and a separate ALPN implementation?
Does it rely on NPN, or NPN is only required for SPDY?

Ondrej

2017-01-09 19:32 GMT+01:00 Ryan Lubke <[hidden email]>:
Ondrej,

Please give 2.3.28 a shot. 

You can see the list of remaining issues that need to be implemented here [1].

Add the support to your network listener using the Htt2AddOn.

You'll need to use GRIZZLY-NPN 1.3 with
JDK 1.8.0_92 or a later version of 1.8.
 

[1] https://java.net/jira/browse/GRIZZLY-1542


January 7, 2017 at 16:25
Hi Ryan,

Can you give us an update on this? Since which version HTTP/2 is
supportedby Grizzly? (even in beta) I cannot find any release notes.

Thanks,
Ondrej Mihályi
October 7, 2016 at 11:31
Hey Folks,

We're very close to having a functional HTTP/2 implementation.  I think the next 2.3 release of Grizzly can consider it beta.  Hopefully some of you out there are willing to kick the tires! 

This does bring to mind SPDY's continued place within the project.  I'd like to remove support for it, however, if it's actively being used, then I'd hate to pull the plug too soon.  If anyone is using Grizzly+SPDY, please follow up and let us know.

Thanks,
-rl


Reply | Threaded
Open this post in threaded view
|

Re: Grizzly HTTP/2 and SPDY/3.1

Ryan Lubke-2


January 9, 2017 at 12:48
Thank you, Ryan.

I saw the issue to use ALPN in JDK9 is still open. Is HTTP/2 working now with JDK8 and a separate ALPN implementation?
Yes.
Does it rely on NPN, or NPN is only required for SPDY?
Grizzly NPN supports both ALPN and NPN.  HTTP/2 over TLD requires ALPN.  If you're doing HTTP/2 over a non-secure socket, then you don't need grizzly-npn.  Keep in mind, most browsers won't support that configuration.

Ondrej


January 9, 2017 at 10:32
Ondrej,

Please give 2.3.28 a shot. 

You can see the list of remaining issues that need to be implemented here [1].

Add the support to your network listener using the Htt2AddOn.

You'll need to use GRIZZLY-NPN 1.3 with
JDK 1.8.0_92 or a later version of 1.8.
 

[1] https://java.net/jira/browse/GRIZZLY-1542



January 7, 2017 at 16:25
Hi Ryan,

Can you give us an update on this? Since which version HTTP/2 is
supportedby Grizzly? (even in beta) I cannot find any release notes.

Thanks,
Ondrej Mihályi